Wildfire 3.1.1and gaim

I installed Wildfire 3.1.1 and SSL.

Client Connection Security is Optional. I can connect to the server fine with Spark and Adium (both using port 5222 so I assume it’'s using TLS). However, when I try to use gaim I get “SSL Handshake Failed”. On the server log I receive “Error while negotiating TLS: org.jivesoftware.wildfire.net.SocketConnection@8a1977”.

I am currently using 2.0 beta 6 but have tried downgrade to 1.5 and still receive the same error.

What other settings can I change so this works for gaim?

Thanks.

Message was edited by: johnh

What SSL library and version was Gaim compiled with?

Note that Adium 1.0 uses the same backend as gaim 2.0.

Maybe gaim doesn’'t accept a self-signed certificate or something like that?

gaim 2.0 svn from a few days ago worked fine with my Wildfire 3.1.1 server (using the XMPP Foundation certificate).